commit:     5b5a39deb05b153a365d7a7e7e3ebede3ae4693e
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Mon Jul 17 18:26:12 2017 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sun Aug  6 13:54:03 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5b5a39de

dev-util/dbus-test-runner: Bump to a fresh snapshot of 15.04.0

Since upstream ceased creating distributable archives, create a fresh
snapshot out of the newest commit (corresponding to the current Ubuntu
package). Bump to EAPI=6. Add needed Python dependencies. Disable
the static library and .la file.

 dev-util/dbus-test-runner/Manifest                 |  1 +
 .../dbus-test-runner-15.04.0_p100.ebuild           | 48 ++++++++++++++++++++++
 2 files changed, 49 insertions(+)

diff --git a/dev-util/dbus-test-runner/Manifest 
b/dev-util/dbus-test-runner/Manifest
index 969fb0e4a0c..803313239a0 100644
--- a/dev-util/dbus-test-runner/Manifest
+++ b/dev-util/dbus-test-runner/Manifest
@@ -1 +1,2 @@
 DIST dbus-test-runner-12.10.1.tar.gz 382108 SHA256 
71f2aa4a48a8f88f1629389f902bbfaf42df4b1fcbea9473acc78de75fab525f SHA512 
6d40d607fdc417ebb9aaa6dc3cdd41a8ff1563cb3791689d17a99d105a0c16dad8ffcaf3da7ab6b8c3dcae17d2eba1bf8a6a5d92dc1d3de0975218220ed3c9c0
 WHIRLPOOL 
2c14b7022aede43c4ce2e4afb1e457a0aebc443ec956552eefd7e6a101aa0045d5bd2e91c9fa0d8ddd93315fc7b5a65d0dadc045acbae11eaa00380b4b45a951
+DIST dbus-test-runner-15.04.0_p100.tar.xz 304760 SHA256 
44017df1729b0b3956cc7d3f153626c85eaa9796eb155bc1f5330b97e929df9b SHA512 
4ff94fe022d69c0bc83b35fb14397fb59daa0b6a9ff9d7f0c93582bc5468ba6e495d4b95f9b4d8cb56f0b782d4582dc2cb67fc087aefa59295a3b40ecdbfa34d
 WHIRLPOOL 
c67bf03e407a0edea8e2fc1df8630608d2acf66840b71e61f6bbe7e19c26755b3357cbb59b0fc794ce8f6149816b6d165e8cefa1513b13e84d71519d26921817

diff --git a/dev-util/dbus-test-runner/dbus-test-runner-15.04.0_p100.ebuild 
b/dev-util/dbus-test-runner/dbus-test-runner-15.04.0_p100.ebuild
new file mode 100644
index 00000000000..25e88f73a58
--- /dev/null
+++ b/dev-util/dbus-test-runner/dbus-test-runner-15.04.0_p100.ebuild
@@ -0,0 +1,48 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python{3_4,3_5,3_6} )
+inherit flag-o-matic python-single-r1
+
+DESCRIPTION="Run executables under a new DBus session for testing"
+HOMEPAGE="https://launchpad.net/dbus-test-runner";
+SRC_URI="https://dev.gentoo.org/~mgorny/dist/${P}.tar.xz";
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~ia64"
+IUSE="test"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+RDEPEND="${PYTHON_DEPS}
+       >=dev-libs/dbus-glib-0.98
+       >=dev-libs/glib-2.34:2
+       dev-python/dbusmock[${PYTHON_USEDEP}]
+"
+DEPEND="
+       ${RDEPEND}
+       app-arch/xz-utils
+       dev-util/intltool
+"
+# now optional:
+#      test? ( dev-util/bustle )
+
+src_prepare() {
+       default
+
+       # bind to specific Python version (with dbusmock installed)
+       sed -i -e "s:python3:${EPYTHON}:" \
+               libdbustest/dbus-mock.c tests/test-libdbustest-mock.c || die
+}
+
+src_configure() {
+       append-flags -Wno-error
+       econf --disable-static
+}
+
+src_install() {
+       default
+       find "${D}" -name '*.la' -delete || die
+}

Reply via email to